CREATE TABLE @@DB_MAIN_PREFIX@@access (
  acc_ft_id mediumint(8) NOT NULL default '0',
  acc_grp_id mediumint(8) NOT NULL default '0',
  PRIMARY KEY  (acc_ft_id,acc_grp_id)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@blocks (
  bid smallint(5) unsigned NOT NULL auto_increment,
  is_enabled tinyint(1) unsigned NOT NULL DEFAULT '1',
  name varchar(48) NOT NULL default '',
  type varchar(20) NOT NULL default 'normal',
  title varchar(48) default NULL,
  tid varchar(20) NOT NULL default 'All',
  blockorder smallint(5) unsigned NOT NULL default '1',
  content text,
  allow_autotags tinyint(1) unsigned NOT NULL DEFAULT '0',
  rdfurl varchar(255) default NULL,
  rdfupdated datetime NOT NULL default '0000-00-00 00:00:00',
  rdflimit smallint(5) unsigned NOT NULL default '0',
  onleft tinyint(3) unsigned NOT NULL default '1',
  phpblockfn varchar(64) default '',
  help varchar(255) default '',
  owner_id mediumint(8) unsigned NOT NULL default '1',
  group_id mediumint(8) unsigned NOT NULL default '1',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '3',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  INDEX blocks_bid(bid),
  INDEX blocks_is_enabled(is_enabled),
  INDEX blocks_tid(tid),
  INDEX blocks_type(type),
  INDEX blocks_name(name),
  INDEX blocks_onleft(onleft),
  PRIMARY KEY  (bid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@commentcodes (
  code tinyint(4) NOT NULL default '0',
  name varchar(32) default NULL,
  PRIMARY KEY  (code)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@commentmodes (
  mode varchar(10) NOT NULL default '',
  name varchar(32) default NULL,
  PRIMARY KEY  (mode)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@comments (
  cid int(10) unsigned NOT NULL auto_increment,
  type varchar(30) NOT NULL DEFAULT 'article',
  sid varchar(40) NOT NULL default '',
  date datetime default NULL,
  title varchar(128) default NULL,
  comment text,
  score tinyint(4) NOT NULL default '0',
  reason tinyint(4) NOT NULL default '0',
  pid int(10) unsigned NOT NULL default '0',
  lft mediumint(10) unsigned NOT NULL default '0',
  rht mediumint(10) unsigned NOT NULL default '0',
  indent mediumint(10) unsigned NOT NULL default '0',
  uid mediumint(8) NOT NULL default '1',
  ipaddress varchar(15) NOT NULL default '',
  INDEX comments_sid(sid),
  INDEX comments_uid(uid),
  INDEX comments_lft(lft),
  INDEX comments_rht(rht),
  INDEX comments_date(date),
  PRIMARY KEY  (cid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@cookiecodes (
  cc_value int(8) unsigned NOT NULL default '0',
  cc_descr varchar(20) NOT NULL default '',
  PRIMARY KEY  (cc_value)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@dateformats (
  dfid tinyint(4) NOT NULL default '0',
  format varchar(32) default NULL,
  description varchar(64) default NULL,
  PRIMARY KEY  (dfid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@events (
  eid varchar(20) NOT NULL default '',
  title varchar(128) default NULL,
  description text,
  postmode varchar(10) NOT NULL default 'plaintext',
  datestart date default NULL,
  dateend date default NULL,
  url varchar(255) default NULL,
  hits mediumint(8) unsigned NOT NULL default '0',
  owner_id mediumint(8) unsigned NOT NULL default '1',
  group_id mediumint(8) unsigned NOT NULL default '1',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '3',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  address1 varchar(40) default NULL,
  address2 varchar(40) default NULL,
  city varchar(60) default NULL,
  state char(2) default NULL,
  zipcode varchar(5) default NULL,
  allday tinyint(1) NOT NULL default '0',
  event_type varchar(40) NOT NULL default '',
  location varchar(128) default NULL,
  timestart time default NULL,
  timeend time default NULL,
  INDEX events_eid(eid),
  INDEX events_event_type(event_type),
  INDEX events_datestart(datestart),
  INDEX events_dateend(dateend),
  PRIMARY KEY  (eid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@eventsubmission (
  eid varchar(20) NOT NULL default '',
  title varchar(128) default NULL,
  description text,
  location varchar(128) default NULL,
  datestart date default NULL,
  dateend date default NULL,
  url varchar(255) default NULL,
  allday tinyint(1) NOT NULL default '0',
  zipcode varchar(5) default NULL,
  state char(2) default NULL,
  city varchar(60) default NULL,
  address2 varchar(40) default NULL,
  address1 varchar(40) default NULL,
  event_type varchar(40) NOT NULL default '',
  timestart time default NULL,
  timeend time default NULL,
  PRIMARY KEY  (eid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@featurecodes (
  code tinyint(4) NOT NULL default '0',
  name varchar(32) default NULL,
  PRIMARY KEY  (code)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@features (
  ft_id mediumint(8) NOT NULL auto_increment,
  ft_name varchar(20) NOT NULL default '',
  ft_descr varchar(255) NOT NULL default '',
  ft_gl_core tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (ft_id),
  KEY ft_name (ft_name)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@frontpagecodes (
  code tinyint(4) NOT NULL default '0',
  name varchar(32) default NULL,
  PRIMARY KEY  (code)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@group_assignments (
  ug_main_grp_id mediumint(8) NOT NULL default '0',
  ug_uid mediumint(8) unsigned default NULL,
  ug_grp_id mediumint(8) unsigned default NULL,
  INDEX group_assignments_ug_main_grp_id(ug_main_grp_id),
  INDEX group_assignments_ug_uid(ug_uid),
  KEY ug_main_grp_id (ug_main_grp_id)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@groups (
  grp_id mediumint(8) NOT NULL auto_increment,
  grp_name varchar(50) NOT NULL default '',
  grp_descr varchar(255) NOT NULL default '',
  grp_gl_core tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (grp_id),
  UNIQUE grp_name (grp_name)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@links (
  lid varchar(40) NOT NULL default '',
  category varchar(32) default NULL,
  url varchar(255) default NULL,
  description text,
  title varchar(96) default NULL,
  hits int(11) NOT NULL default '0',
  date datetime default NULL,
  owner_id mediumint(8) unsigned NOT NULL default '1',
  group_id mediumint(8) unsigned NOT NULL default '1',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '2',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  INDEX links_lid(lid),
  INDEX links_category(category),
  INDEX links_date(date),
  PRIMARY KEY  (lid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@linksubmission (
  lid varchar(40) NOT NULL default '',
  category varchar(32) default NULL,
  url varchar(255) default NULL,
  description text,
  title varchar(96) default NULL,
  hits int(11) default NULL,
  date datetime default NULL,
  PRIMARY KEY  (lid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@maillist (
  code int(1) NOT NULL default '0',
  name char(32) default NULL,
  PRIMARY KEY  (code)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@personal_events (
  eid varchar(20) NOT NULL default '',
  title varchar(128) default NULL,
  event_type varchar(40) NOT NULL default '',
  datestart date default NULL,
  dateend date default NULL,
  address1 varchar(40) default NULL,
  address2 varchar(40) default NULL,
  city varchar(60) default NULL,
  state char(2) default NULL,
  zipcode varchar(5) default NULL,
  allday tinyint(1) NOT NULL default '0',
  url varchar(255) default NULL,
  description text,
  postmode varchar(10) NOT NULL default 'plaintext',
  owner_id mediumint(8) unsigned NOT NULL default '1',
  group_id mediumint(8) unsigned NOT NULL default '1',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '3',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  uid mediumint(8) NOT NULL default '0',
  location varchar(128) default NULL,
  timestart time default NULL,
  timeend time default NULL,
  PRIMARY KEY  (eid,uid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@plugins (
  pi_name varchar(30) NOT NULL default '',
  pi_version varchar(20) NOT NULL default '',
  pi_gl_version varchar(20) NOT NULL default '',
  pi_enabled tinyint(3) unsigned NOT NULL default '1',
  pi_homepage varchar(128) NOT NULL default '',
  INDEX plugins_enabled(pi_enabled),
  PRIMARY KEY  (pi_name)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@pollanswers (
  qid varchar(20) NOT NULL default '',
  aid tinyint(3) unsigned NOT NULL default '0',
  answer varchar(255) default NULL,
  votes mediumint(8) unsigned default NULL,
  remark varchar( 255 ) NULL,
  PRIMARY KEY  (qid,aid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@pollquestions (
  qid varchar(20) NOT NULL default '',
  question varchar(255) default NULL,
  voters mediumint(8) unsigned default NULL,
  date datetime default NULL,
  display tinyint(4) NOT NULL default '0',
  commentcode tinyint(4) NOT NULL default '0',
  statuscode tinyint(4) NOT NULL default '0',
  owner_id mediumint(8) unsigned NOT NULL default '1',
  group_id mediumint(8) unsigned NOT NULL default '1',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '3',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  INDEX pollquestions_qid(qid),
  INDEX pollquestions_display(display),
  INDEX pollquestions_commentcode(commentcode),
  INDEX pollquestions_statuscode(statuscode),
  INDEX pollquestions_date(date),
  PRIMARY KEY  (qid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@pollvoters (
  id int(10) unsigned NOT NULL auto_increment,
  qid varchar(20) NOT NULL default '',
  ipaddress varchar(15) NOT NULL default '',
  date int(10) unsigned default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@postmodes (
  code char(10) NOT NULL default '',
  name char(32) default NULL,
  PRIMARY KEY  (code)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@sessions (
  sess_id int(10) unsigned NOT NULL default '0',
  start_time int(10) unsigned NOT NULL default '0',
  remote_ip varchar(15) NOT NULL default '',
  uid mediumint(8) NOT NULL default '1',
  md5_sess_id varchar(128) default NULL,
  PRIMARY KEY  (sess_id),
  KEY sess_id (sess_id),
  KEY start_time (start_time),
  KEY remote_ip (remote_ip)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@sortcodes (
  code char(4) NOT NULL default '0',
  name char(32) default NULL,
  PRIMARY KEY  (code)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@speedlimit (
  id int(10) unsigned NOT NULL auto_increment,
  ipaddress varchar(15) NOT NULL default '',
  date int(10) unsigned default NULL,
  type varchar(30) NOT NULL default 'submit',
  PRIMARY KEY (id),
  KEY type_ipaddress (type,ipaddress),
  KEY date (date)
) TYPE = MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@statuscodes (
  code int(1) NOT NULL default '0',
  name char(32) default NULL,
  PRIMARY KEY  (code)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@stories (
  sid varchar(40) NOT NULL default '',
  uid mediumint(8) NOT NULL default '1',
  draft_flag tinyint(3) unsigned default '0',
  tid varchar(20) NOT NULL default 'General',
  date datetime default NULL,
  title varchar(128) default NULL,
  introtext text,
  bodytext text,
  hits mediumint(8) unsigned NOT NULL default '0',
  numemails mediumint(8) unsigned NOT NULL default '0',
  comments mediumint(8) unsigned NOT NULL default '0',
  trackbacks mediumint(8) unsigned NOT NULL default '0',
  related text,
  featured tinyint(3) unsigned NOT NULL default '0',
  show_topic_icon tinyint(1) unsigned NOT NULL default '1',
  commentcode tinyint(4) NOT NULL default '0',
  trackbackcode tinyint(4) NOT NULL default '0',
  statuscode tinyint(4) NOT NULL default '0',
  expire DATETIME NOT NULL default '0000-00-00 00:00:00',
  postmode varchar(10) NOT NULL default 'html',
  advanced_editor_mode tinyint(1) unsigned default '0',
  frontpage tinyint(3) unsigned default '1',
  in_transit tinyint(1) unsigned default '0',
  owner_id mediumint(8) NOT NULL default '1',
  group_id mediumint(8) NOT NULL default '2',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '3',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  INDEX stories_sid(sid),
  INDEX stories_tid(tid),
  INDEX stories_uid(uid),
  INDEX stories_featured(featured),
  INDEX stories_hits(hits),
  INDEX stories_statuscode(statuscode),
  INDEX stories_expire(expire),
  INDEX stories_date(date),
  INDEX stories_frontpage(frontpage),
  INDEX stories_in_transit(in_transit),
  PRIMARY KEY  (sid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@storysubmission (
  sid varchar(20) NOT NULL default '',
  uid mediumint(8) NOT NULL default '1',
  tid varchar(20) NOT NULL default 'General',
  title varchar(128) default NULL,
  introtext text,
  date datetime default NULL,
  postmode varchar(10) NOT NULL default 'html',
  PRIMARY KEY  (sid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@syndication (
  fid int(10) unsigned NOT NULL auto_increment,
  type varchar(30) NOT NULL default 'geeklog',
  topic varchar(48) NOT NULL default '::all',
  header_tid varchar(48) NOT NULL default 'none',
  format varchar(20) NOT NULL default 'RSS-2.0',
  limits varchar(5) NOT NULL default '10',
  content_length smallint(5) unsigned NOT NULL default '0',
  title varchar(40) NOT NULL default '',
  description text,
  feedlogo varchar(255),
  filename varchar(40) NOT NULL default 'geeklog.rss',
  charset varchar(20) NOT NULL default 'UTF-8',
  language varchar(20) NOT NULL default 'en-gb',
  is_enabled tinyint(1) unsigned NOT NULL default '1',
  updated datetime NOT NULL default '0000-00-00 00:00:00',
  update_info text,
  PRIMARY KEY (fid),
  INDEX syndication_type(type),
  INDEX syndication_topic(topic),
  INDEX syndication_is_enabled(is_enabled),
  INDEX syndication_updated(updated)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@topics (
  tid varchar(20) NOT NULL default '',
  topic varchar(48) default NULL,
  imageurl varchar(255) default NULL,
  sortnum tinyint(3) default NULL,
  limitnews tinyint(3) default NULL,
  is_default tinyint(1) unsigned NOT NULL DEFAULT '0',
  archive_flag tinyint(1) unsigned NOT NULL DEFAULT '0',
  owner_id mediumint(8) unsigned NOT NULL default '1',
  group_id mediumint(8) unsigned NOT NULL default '1',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '3',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  PRIMARY KEY  (tid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@tzcodes (
  tz char(3) NOT NULL default '',
  offset int(1) default NULL,
  description varchar(64) default NULL,
  PRIMARY KEY  (tz)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@usercomment (
  uid mediumint(8) NOT NULL default '1',
  commentmode varchar(10) NOT NULL default 'threaded',
  commentorder varchar(4) NOT NULL default 'ASC',
  commentlimit mediumint(8) unsigned NOT NULL default '100',
  PRIMARY KEY  (uid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@userindex (
  uid mediumint(8) NOT NULL default '1',
  tids varchar(255) NOT NULL default '',
  etids text,
  aids varchar(255) NOT NULL default '',
  boxes varchar(255) NOT NULL default '',
  noboxes tinyint(4) NOT NULL default '0',
  maxstories tinyint(4) default NULL,
  INDEX userindex_uid(uid),
  INDEX userindex_noboxes(noboxes),
  INDEX userindex_maxstories(maxstories),
  PRIMARY KEY  (uid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@userinfo (
  uid mediumint(8) NOT NULL default '1',
  about text,
  location varchar(96) NOT NULL default '',
  pgpkey text,
  userspace varchar(255) NOT NULL default '',
  tokens tinyint(3) unsigned NOT NULL default '0',
  totalcomments mediumint(9) NOT NULL default '0',
  lastgranted int(10) unsigned NOT NULL default '0',
  lastlogin VARCHAR(10) NOT NULL default '0',
  PRIMARY KEY  (uid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@userprefs (
  uid mediumint(8) NOT NULL default '1',
  noicons tinyint(3) unsigned NOT NULL default '0',
  willing tinyint(3) unsigned NOT NULL default '1',
  dfid tinyint(3) unsigned NOT NULL default '0',
  tzid char(3) NOT NULL default 'edt',
  emailstories tinyint(4) NOT NULL default '1',
  emailfromadmin tinyint(1) NOT NULL default '1',
  emailfromuser tinyint(1) NOT NULL default '1',
  showonline tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (uid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@users (
  uid mediumint(8) NOT NULL auto_increment,
  username varchar(16) NOT NULL default '',
  remoteusername varchar(60) NULL,
  remoteservice varchar(60) NULL,
  fullname varchar(80) default NULL,
  passwd varchar(32) NOT NULL default '',
  email varchar(96) default NULL,
  homepage varchar(96) default NULL,
  sig varchar(160) NOT NULL default '',
  regdate datetime NOT NULL default '0000-00-00 00:00:00',
  photo varchar(128) DEFAULT NULL,
  cookietimeout int(8) unsigned default '28800',
  theme varchar(64) default NULL,
  language varchar(64) default NULL,
  pwrequestid varchar(16) default NULL,
  status smallint(5) unsigned NOT NULL default '1',
  PRIMARY KEY  (uid),
  KEY LOGIN (uid,passwd,username),
  INDEX users_username(username),
  INDEX users_fullname(fullname),
  INDEX users_email(email),
  INDEX users_passwd(passwd),
  INDEX users_pwrequestid(pwrequestid)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@vars (
  name varchar(20) NOT NULL default '',
  value varchar(128) default NULL,
  PRIMARY KEY  (name)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@article_images (
  ai_sid varchar(40) NOT NULL,
  ai_img_num tinyint(2) unsigned NOT NULL,
  ai_filename varchar(128) NOT NULL,
  PRIMARY KEY (ai_sid,ai_img_num)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@trackback (
  cid int(10) unsigned NOT NULL auto_increment,
  sid varchar(40) NOT NULL,
  url varchar(255) default NULL,
  title varchar(128) default NULL,
  blog varchar(80) default NULL,
  excerpt text,
  date datetime default NULL,
  type varchar(30) NOT NULL default 'article',
  ipaddress varchar(15) NOT NULL default '',
  PRIMARY KEY (cid),
  INDEX trackback_sid(sid),
  INDEX trackback_url(url),
  INDEX trackback_type(type),
  INDEX trackback_date(date)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@pingservice (
  pid smallint(5) unsigned NOT NULL auto_increment,
  name varchar(128) default NULL,
  ping_url varchar(255) default NULL,
  site_url varchar(255) default NULL,
  method varchar(80) default NULL,
  is_enabled tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (pid),
  INDEX pingservice_is_enabled(is_enabled)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@staticpage (
  sp_id varchar(40) NOT NULL default '',
  sp_uid mediumint(8) NOT NULL default '1',
  sp_title varchar(128) NOT NULL default '',
  sp_content text NOT NULL,
  sp_hits mediumint(8) unsigned NOT NULL default '0',
  sp_date datetime NOT NULL default '0000-00-00 00:00:00',
  sp_format varchar(20) NOT NULL default '',
  sp_onmenu tinyint(1) unsigned NOT NULL default '0',
  sp_label varchar(64) default NULL,
  owner_id mediumint(8) unsigned NOT NULL default '1',
  group_id mediumint(8) unsigned NOT NULL default '1',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '2',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  sp_centerblock tinyint(1) unsigned NOT NULL default '0',
  sp_help varchar(255) default '',
  sp_tid varchar(20) NOT NULL default 'none',
  sp_where tinyint(1) unsigned NOT NULL default '1',
  sp_php tinyint(1) unsigned NOT NULL default '0',
  sp_nf tinyint(1) unsigned default '0',
  sp_inblock tinyint(1) unsigned default '1',
  postmode varchar(16) NOT NULL default 'html',
  PRIMARY KEY  (sp_id),
  KEY staticpage_sp_uid (sp_uid),
  KEY staticpage_sp_date (sp_date),
  KEY staticpage_sp_onmenu (sp_onmenu),
  KEY staticpage_sp_centerblock (sp_centerblock),
  KEY staticpage_sp_tid (sp_tid),
  KEY staticpage_sp_where (sp_where)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@spamx (
  name varchar(20) NOT NULL default '',
  value varchar(255) NOT NULL default '',
  INDEX spamx_name(name)
) TYPE=MyISAM;



CREATE TABLE @@DB_MAIN_PREFIX@@trackbackcodes (
  code tinyint(4) NOT NULL default '0',
  name varchar(32) default NULL,
  PRIMARY KEY  (code)
) TYPE=MyISAM;


INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (1,3) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (2,3) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (3,5) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (4,5) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (5,9) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (5,11) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (6,9) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (6,11) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES(7,12) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (8,7) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (9,7) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (10,4) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (11,6) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (12,8) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (13,10) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (14,11) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (15,11) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (16,4) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (17,14) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (18,14) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (23,15) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (24,3) ;
INSERT INTO @@DB_MAIN_PREFIX@@access (acc_ft_id, acc_grp_id) VALUES (25,17) ;

INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (1,1,'user_block','gldefault','User Functions','all',2,'','','0000-00-00 00:00:00',1,'',4,2,3,3,2,2) ;
INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (2,1,'admin_block','gldefault','Admins Only','all',1,'','','0000-00-00 00:00:00',1,'',4,2,3,3,2,2) ;
INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (3,1,'section_block','gldefault','Topics','all',0,'','','0000-00-00 00:00:00',1,'',4,2,3,3,2,2) ;
INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (4,1,'polls_block','phpblock','Poll','all',2,'','','0000-00-00 00:00:00',0,'phpblock_polls',4,2,3,3,2,2) ;
INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (5,1,'events_block','phpblock','Events','all',4,'','','0000-00-00 00:00:00',1,'phpblock_calendar',4,2,3,3,2,2) ;
INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (6,1,'whats_new_block','gldefault','What\'s New','all',3,'','','0000-00-00 00:00:00',0,'',4,2,3,3,2,2) ;
INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (7,1,'first_block','normal','About Geeklog','homeonly',1,'<p><b>Welcome to Geeklog!</b><p>If you\'re already familiar with Geeklog - and especially if you\'re not: There have been many improvements to Geeklog since earlier versions that you might want to read up on. Please read the <a href=\"docs/changes.html\">release notes</a>. If you need help, please see the <a href=\"docs/support.html\">support options</a>.','','0000-00-00 00:00:00',0,'',4,2,3,3,2,2) ;
INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (8,1,'whosonline_block','phpblock','Who\'s Online','all',0,'','','0000-00-00 00:00:00',0,'phpblock_whosonline',4,2,3,3,2,2) ;
INSERT INTO @@DB_MAIN_PREFIX@@blocks (bid, is_enabled, name, type, title, tid, blockorder, content, rdfurl, rdfupdated, onleft, phpblockfn, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES (9,1,'older_stories','gldefault','Older Stories','all',5,'','','0000-00-00 00:00:00',1,'',4,2,3,3,2,2) ;

INSERT INTO @@DB_MAIN_PREFIX@@commentcodes (code, name) VALUES (0,'Comments Enabled') ;
INSERT INTO @@DB_MAIN_PREFIX@@commentcodes (code, name) VALUES (-1,'Comments Disabled') ;

INSERT INTO @@DB_MAIN_PREFIX@@commentmodes (mode, name) VALUES ('flat','Flat') ;
INSERT INTO @@DB_MAIN_PREFIX@@commentmodes (mode, name) VALUES ('nested','Nested') ;
INSERT INTO @@DB_MAIN_PREFIX@@commentmodes (mode, name) VALUES ('threaded','Threaded') ;
INSERT INTO @@DB_MAIN_PREFIX@@commentmodes (mode, name) VALUES ('nocomment','No Comments') ;

INSERT INTO @@DB_MAIN_PREFIX@@cookiecodes (cc_value, cc_descr) VALUES (0,'(don\'t)') ;
INSERT INTO @@DB_MAIN_PREFIX@@cookiecodes (cc_value, cc_descr) VALUES (3600,'1 Hour') ;
INSERT INTO @@DB_MAIN_PREFIX@@cookiecodes (cc_value, cc_descr) VALUES (7200,'2 Hours') ;
INSERT INTO @@DB_MAIN_PREFIX@@cookiecodes (cc_value, cc_descr) VALUES (10800,'3 Hours') ;
INSERT INTO @@DB_MAIN_PREFIX@@cookiecodes (cc_value, cc_descr) VALUES (28800,'8 Hours') ;
INSERT INTO @@DB_MAIN_PREFIX@@cookiecodes (cc_value, cc_descr) VALUES (86400,'1 Day') ;
INSERT INTO @@DB_MAIN_PREFIX@@cookiecodes (cc_value, cc_descr) VALUES (604800,'1 Week') ;
INSERT INTO @@DB_MAIN_PREFIX@@cookiecodes (cc_value, cc_descr) VALUES (2678400,'1 Month') ;

INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (0,'','System Default') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (1,'%A %B %d, %Y @%I:%M%p','Sunday March 21, 1999 @10:00PM') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (2,'%A %b %d, %Y @%H:%M','Sunday March 21, 1999 @22:00') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (4,'%A %b %d @%H:%M','Sunday March 21 @22:00') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (5,'%H:%M %d %B %Y','22:00 21 March 1999') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (6,'%H:%M %A %d %B %Y','22:00 Sunday 21 March 1999') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (7,'%I:%M%p - %A %B %d %Y','10:00PM -- Sunday March 21 1999') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (8,'%a %B %d, %I:%M%p','Sun March 21, 10:00PM') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (9,'%a %B %d, %H:%M','Sun March 21, 22:00') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (10,'%m-%d-%y %H:%M','3-21-99 22:00') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (11,'%d-%m-%y %H:%M','21-3-99 22:00') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (12,'%m-%d-%y %I:%M%p','3-21-99 10:00PM') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (13,'%I:%M%p  %B %D, %Y','10:00PM  March 21st, 1999') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (14,'%a %b %d, \'%y %I:%M%p','Sun Mar 21, \'99 10:00PM') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (15,'Day %j, %I ish','Day 80, 10 ish') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (16,'%y-%m-%d %I:%M','99-03-21 10:00') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (17,'%d/%m/%y %H:%M','21/03/99 22:00') ;
INSERT INTO @@DB_MAIN_PREFIX@@dateformats (dfid, format, description) VALUES (18,'%a %d %b %I:%M%p','Sun 21 Mar 10:00PM') ;

INSERT INTO @@DB_MAIN_PREFIX@@eventsubmission (eid, title, description, location, datestart, dateend, url, allday, zipcode, state, city, address2, address1, event_type, timestart, timeend) VALUES ('2006051410130162','Geeklog installed','Today, you successfully installed this Geeklog site.','Your webserver',CURDATE(),CURDATE(),'http://www.geeklog.net/',1,NULL,NULL,NULL,NULL,NULL,'',NULL,NULL) ;

INSERT INTO @@DB_MAIN_PREFIX@@featurecodes (code, name) VALUES (0,'Not Featured') ;
INSERT INTO @@DB_MAIN_PREFIX@@featurecodes (code, name) VALUES (1,'Featured') ;

INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (1,'story.edit','Access to story editor',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (2,'story.moderate','Ability to moderate pending stories',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (3,'links.moderate','Ability to moderate pending links',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (4,'links.edit','Access to links editor',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (5,'user.edit','Access to user editor',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (6,'user.delete','Ability to delete a user',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (7,'user.mail','Ability to send email to members',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (8,'calendar.moderate','Ability to moderate pending events',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (9,'calendar.edit','Access to event editor',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (10,'block.edit','Access to block editor',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (11,'topic.edit','Access to topic editor',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (12,'polls.edit','Access to polls editor',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (13,'plugin.edit','Access to plugin editor',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (14,'group.edit','Ability to edit groups',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (15,'group.delete','Ability to delete groups',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (16,'block.delete','Ability to delete a block',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (17,'staticpages.edit','Ability to edit a static page',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (18,'staticpages.delete','Ability to delete static pages',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (19,'story.submit','May skip the story submission queue',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (20,'links.submit','May skip the links submission queue',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (21,'calendar.submit','May skip the event submission queue',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (22,'staticpages.PHP','Ability use PHP in static pages',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (23,'spamx.admin', 'Full access to Spam-X plugin', 0) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (24,'story.ping', 'Ability to send pings, pingbacks, or trackbacks for stories', 1) ;
INSERT INTO @@DB_MAIN_PREFIX@@features (ft_id, ft_name, ft_descr, ft_gl_core) VALUES (25,'syndication.edit', 'Access to Content Syndication', 1) ;

INSERT INTO @@DB_MAIN_PREFIX@@frontpagecodes (code, name) VALUES (0,'Show Only in Topic') ;
INSERT INTO @@DB_MAIN_PREFIX@@frontpagecodes (code, name) VALUES (1,'Show on Front Page') ;

INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,1,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (3,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (4,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (5,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (6,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (7,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (8,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (9,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (10,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (11,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (13,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (12,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (11,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,12) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,10) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,9) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,8) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,7) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,6) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,5) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,4) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,3) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (12,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (9,NULL,11) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,NULL,11) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (10,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (9,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (8,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (7,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (6,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (5,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (4,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (3,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (2,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (1,2,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (14,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (15,NULL,1) ;
INSERT INTO @@DB_MAIN_PREFIX@@group_assignments (ug_main_grp_id, ug_uid, ug_grp_id) VALUES (17,NULL,1) ;

INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (1,'Root','Has full access to the site',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (2,'All Users','Group that a typical user is added to',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (3,'Story Admin','Has full access to story features',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (4,'Block Admin','Has full access to block features',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (5,'Links Admin','Has full access to links features',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (6,'Topic Admin','Has full access to topic features',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (7,'Calendar Admin','Has full access to calendar features',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (8,'Polls Admin','Has full access to polls features',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (9,'User Admin','Has full access to user features',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (10,'Plugin Admin','Has full access to plugin features',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (11,'Group Admin','Is a User Admin with access to groups, too',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (12,'Mail Admin','Can use Mail Utility',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (13,'Logged-in Users','All registered members',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (14,'Static Page Admin','Can administer static pages',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (15,'spamx Admin', 'Users in this group can administer the Spam-X plugin',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (16,'Remote Users', 'Users in this group can have authenticated against a remote server.',1) ;
INSERT INTO @@DB_MAIN_PREFIX@@groups (grp_id, grp_name, grp_descr, grp_gl_core) VALUES (17,'Syndication Admin', 'Can create and modify web feeds for the site',1) ;

INSERT INTO @@DB_MAIN_PREFIX@@links (lid, category, url, description, title, date, owner_id, group_id) VALUES ('geeklog.net','Geeklog Sites','http://www.geeklog.net/','Visit the Geeklog homepage for support, FAQs, updates, add-ons, and a great community.','Geeklog Project Homepage',NOW(),1,5);

INSERT INTO @@DB_MAIN_PREFIX@@maillist (code, name) VALUES (0,'Don\'t Email') ;
INSERT INTO @@DB_MAIN_PREFIX@@maillist (code, name) VALUES (1,'Email Headlines Each Night') ;

INSERT INTO @@DB_MAIN_PREFIX@@pingservice (pid, name, site_url, ping_url, method, is_enabled) VALUES (1, 'Ping-O-Matic', 'http://pingomatic.com/', 'http://rpc.pingomatic.com/', 'weblogUpdates.ping', 1);

INSERT INTO @@DB_MAIN_PREFIX@@plugins (pi_name, pi_version, pi_gl_version, pi_enabled, pi_homepage) VALUES ('staticpages', '1.4.3','1.4.1',1,'http://www.geeklog.net/') ;
INSERT INTO @@DB_MAIN_PREFIX@@plugins (pi_name, pi_version, pi_gl_version, pi_enabled, pi_homepage) VALUES ('spamx', '1.1.0','1.4.1',1,'http://www.pigstye.net/gplugs/staticpages/index.php/spamx') ;
INSERT INTO @@DB_MAIN_PREFIX@@plugins (pi_name, pi_version, pi_gl_version, pi_enabled, pi_homepage) VALUES ('links', '1.0.1', '1.4.1', 1, 'http://www.geeklog.net/');
INSERT INTO @@DB_MAIN_PREFIX@@plugins (pi_name, pi_version, pi_gl_version, pi_enabled, pi_homepage) VALUES ('polls', '1.1.0', '1.4.1', '1', 'http://www.geeklog.net/');
INSERT INTO @@DB_MAIN_PREFIX@@plugins (pi_name, pi_version, pi_gl_version, pi_enabled, pi_homepage) VALUES ('calendar', '1.0.0', '1.4.1', '1', 'http://www.geeklog.net/');

INSERT INTO @@DB_MAIN_PREFIX@@pollanswers (qid, aid, answer, votes) VALUES ('geeklogfeaturepoll',1,'MS SQL support',0);
INSERT INTO @@DB_MAIN_PREFIX@@pollanswers (qid, aid, answer, votes) VALUES ('geeklogfeaturepoll',2,'Multi-language support',0);
INSERT INTO @@DB_MAIN_PREFIX@@pollanswers (qid, aid, answer, votes) VALUES ('geeklogfeaturepoll',3,'Calendar as a plugin',0);
INSERT INTO @@DB_MAIN_PREFIX@@pollanswers (qid, aid, answer, votes) VALUES ('geeklogfeaturepoll',4,'SLV spam protection',0);
INSERT INTO @@DB_MAIN_PREFIX@@pollanswers (qid, aid, answer, votes) VALUES ('geeklogfeaturepoll',5,'Mass-delete users',0);
INSERT INTO @@DB_MAIN_PREFIX@@pollanswers (qid, aid, answer, votes) VALUES ('geeklogfeaturepoll',6,'Other',0);

INSERT INTO @@DB_MAIN_PREFIX@@pollquestions (qid, question, voters, date, display, commentcode, statuscode, owner_id, group_id, perm_owner, perm_group) VALUES ('geeklogfeaturepoll','What is the best new feature of Geeklog?',0,NOW(),1,0,0,2,8,3,3) ;

INSERT INTO @@DB_MAIN_PREFIX@@postmodes (code, name) VALUES ('plaintext','Plain Old Text') ;
INSERT INTO @@DB_MAIN_PREFIX@@postmodes (code, name) VALUES ('html','HTML Formatted') ;

INSERT INTO @@DB_MAIN_PREFIX@@sortcodes (code, name) VALUES ('ASC','Oldest First') ;
INSERT INTO @@DB_MAIN_PREFIX@@sortcodes (code, name) VALUES ('DESC','Newest First') ;

INSERT INTO @@DB_MAIN_PREFIX@@statuscodes (code, name) VALUES (1,'Refreshing') ;
INSERT INTO @@DB_MAIN_PREFIX@@statuscodes (code, name) VALUES (0,'Normal') ;
INSERT INTO @@DB_MAIN_PREFIX@@statuscodes (code, name) VALUES (10,'Archive') ;

INSERT INTO @@DB_MAIN_PREFIX@@stories (sid, uid, draft_flag, tid, date, title, introtext, hits, numemails, comments, related, featured, commentcode, statuscode, postmode, frontpage, owner_id, group_id, perm_owner, perm_group, perm_members, perm_anon) VALUES ('welcome',2,0,'Geeklog',NOW(),'Welcome to Geeklog!','<p>Welcome and let me be the first to congratulate you on installing Geeklog. Please take the time to read everything in the <a href=\"docs/index.html\">docs directory</a>. Geeklog now has enhanced, user-based security.  You should thoroughly understand how these work before you run a production Geeklog Site.',100,1,0,'',1,0,0,'html',1,2,3,3,2,2,2) ;

INSERT INTO @@DB_MAIN_PREFIX@@storysubmission (sid, uid, tid, title, introtext, date, postmode) VALUES ('security-reminder',2,'Geeklog','Are you secure?','<p>This is a reminder to secure your site once you have Geeklog up and running. What you should do:</p>\r\r<ol>\r<li>Change the default password for the Admin account.</li>\r<li>Remove the install directory (you won\'t need it any more).</li>\r</ol>',NOW(),'html') ;

INSERT INTO @@DB_MAIN_PREFIX@@syndication (type, topic, header_tid, format, limits, content_length, title, description, filename, charset, language, is_enabled, updated, update_info) VALUES ('geeklog', '::all', 'all', 'RSS-2.0', 10, 1, 'Geeklog Site', 'Another Nifty Geeklog Site', 'geeklog.rss', 'iso-8859-1', 'en-gb', 1, '0000-00-00 00:00:00', NULL);

INSERT INTO @@DB_MAIN_PREFIX@@topics (tid, topic, imageurl, sortnum, limitnews, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES ('General','General News','/images/topics/topic_news.gif',1,10,6,2,3,2,2,2);
INSERT INTO @@DB_MAIN_PREFIX@@topics (tid, topic, imageurl, sortnum, limitnews, group_id, owner_id, perm_owner, perm_group, perm_members, perm_anon) VALUES ('Geeklog','Geeklog','/images/topics/topic_gl.gif',2,10,6,2,3,2,2,2);

INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('ndt',-9000,'Newfoundland Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('adt',-10800,'Atlantic Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('edt',-14400,'Eastern Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('cdt',-18000,'Central Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('mdt',-21600,'Mountain Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('pdt',-25200,'Pacific Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('ydt',-28800,'Yukon Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('hdt',-32400,'Hawaii Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('bst',3600,'British Summer') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('mes',7200,'Middle European Summer') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('sst',7200,'Swedish Summer') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('fst',7200,'French Summer') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('wad',28800,'West Australian Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('cad',37800,'Central Australian Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('ead',39600,'Eastern Australian Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('nzd',46800,'New Zealand Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('gmt',0,'Greenwich Mean') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('utc',0,'Universal (Coordinated)') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('wet',0,'Western European') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('wat',-3600,'West Africa') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('at',-7200,'Azores') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('gst',-10800,'Greenland Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('nft',-12600,'Newfoundland') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('nst',-12600,'Newfoundland Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('ast',-14400,'Atlantic Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('est',-18000,'Eastern Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('cst',-21600,'Central Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('mst',-25200,'Mountain Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('pst',-28800,'Pacific Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('yst',-32400,'Yukon Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('hst',-36000,'Hawaii Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('cat',-36000,'Central Alaska') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('ahs',-36000,'Alaska-Hawaii Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('nt',-39600,'Nome') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('idl',-43200,'International Date Line West') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('cet',3600,'Central European') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('met',3600,'Middle European') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('mew',3600,'Middle European Winter') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('swt',3600,'Swedish Winter') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('fwt',3600,'French Winter') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('eet',7200,'Eastern Europe, USSR Zone 1') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('bt',10800,'Baghdad, USSR Zone 2') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('it',12600,'Iran') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('zp4',14400,'USSR Zone 3') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('zp5',18000,'USSR Zone 4') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('ist',19800,'Indian Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('zp6',21600,'USSR Zone 5') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('was',25200,'West Australian Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('jt',27000,'Java (3pm in Cronusland!)') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('cct',28800,'China Coast, USSR Zone 7') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('jst',32400,'Japan Standard, USSR Zone 8') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('cas',34200,'Central Australian Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('eas',36000,'Eastern Australian Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('nzt',43200,'New Zealand') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('nzs',43200,'New Zealand Standard') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('id2',43200,'International Date Line East') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('idt',10800,'Israel Daylight') ;
INSERT INTO @@DB_MAIN_PREFIX@@tzcodes (tz, offset, description) VALUES ('iss',7200,'Israel Standard') ;

INSERT INTO @@DB_MAIN_PREFIX@@usercomment (uid, commentmode, commentorder, commentlimit) VALUES (1,'nested','ASC',100) ;
INSERT INTO @@DB_MAIN_PREFIX@@usercomment (uid, commentmode, commentorder, commentlimit) VALUES (2,'threaded','ASC',100) ;

INSERT INTO @@DB_MAIN_PREFIX@@userindex (uid, tids, etids, aids, boxes, noboxes, maxstories) VALUES (1,'','-','','',0,NULL) ;
INSERT INTO @@DB_MAIN_PREFIX@@userindex (uid, tids, etids, aids, boxes, noboxes, maxstories) VALUES (2,'','','','',0,NULL) ;

INSERT INTO @@DB_MAIN_PREFIX@@userinfo (uid, about, pgpkey, userspace, tokens, totalcomments, lastgranted) VALUES (1,NULL,NULL,'',0,0,0) ;
INSERT INTO @@DB_MAIN_PREFIX@@userinfo (uid, about, pgpkey, userspace, tokens, totalcomments, lastgranted) VALUES (2,NULL,NULL,'',0,0,0) ;

INSERT INTO @@DB_MAIN_PREFIX@@userprefs (uid, noicons, willing, dfid, tzid, emailstories) VALUES (1,0,0,0,'',0) ;
INSERT INTO @@DB_MAIN_PREFIX@@userprefs (uid, noicons, willing, dfid, tzid, emailstories) VALUES (2,0,1,0,'edt',1) ;

#
# Dumping data for table 'users'
#

INSERT INTO @@DB_MAIN_PREFIX@@users (uid, username, fullname, passwd, email, homepage, sig, regdate, cookietimeout, theme, status) VALUES (1,'Anonymous','Anonymous','',NULL,NULL,'',NOW(),0,NULL,3) ;
INSERT INTO @@DB_MAIN_PREFIX@@users (uid, username, fullname, passwd, email, homepage, sig, regdate, cookietimeout, theme, status,language) VALUES (2,'@@ADMIN_NAME@@','@@ADMIN_FULLNAME@@','@@ADMIN_PASSWORD@@','@@ADMIN_EMAIL@@','http://www.geeklog.net/','',NOW(),28800,NULL,3,'@@LOCALE@@') ;

INSERT INTO @@DB_MAIN_PREFIX@@vars (name, value) VALUES ('totalhits','0') ;
INSERT INTO @@DB_MAIN_PREFIX@@vars (name, value) VALUES ('lastemailedstories','') ;
INSERT INTO @@DB_MAIN_PREFIX@@vars (name, value) VALUES ('last_scheduled_run','') ;
INSERT INTO @@DB_MAIN_PREFIX@@vars (name, value) VALUES ('spamx.counter','0') ;

INSERT INTO @@DB_MAIN_PREFIX@@trackbackcodes (code, name) VALUES (0,'Trackback Enabled') ;
INSERT INTO @@DB_MAIN_PREFIX@@trackbackcodes (code, name) VALUES (-1,'Trackback Disabled') ;